# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          upsm
Version:       2.0.2
Release:       alt1_3
Summary:       Qt-based ups monitor (front-end for upsc from Network UPS Tools)
Group:         Monitoring
URL:           https://github.com/psemiletov/upsm
Source0:       https://github.com/psemiletov/upsm/archive/%{version}.tar.gz
License:       GPLv3+

BuildRequires: ccmake cmake ctest
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)

Requires: nut nut-server
Source44: import.info

%description
upsm is Qt-based ups monitor (front-end for upsc from Network UPS Tools). 
It sits at the tray and polls nut server using upsc, so you need to set 
up NUT first.

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags} -pthread"
%{mageia_cmake}
%make_build

%install
%makeinstall_std -C build

%files
%{_bindir}/upsm
%{_datadir}/applications/upsm.desktop
%{_iconsdir}/hicolor/128x128/apps/upsm.png
%{_iconsdir}/hicolor/scalable/apps/upsm.svg


%changelog
* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_2
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_2
- new version

